MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002314VCMIOtherpublic2015-10-24 18:082016-09-07 16:02
ReporterSXX 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98d 
Target VersionFixed in Version0.99 
Summary0002314: Crashes related to bonus system in deserializationFix
DescriptionThose saves are provided by @Povelitel. He played game and when attempt to load auto saves all of them was crashing.

Crash occur on client at lib/HeroBonus.cpp:809 (Autosave_1 Autosave_4 )

Or assertion on server at lib/HeroBonus.cpp:743 (Autosave_2 Autosave_3 Autosave_5)
TagsNo tags attached.
Attached Filestxt file icon BACKTRACE_CLIENT.txt [^] (2,152 bytes) 2015-10-24 18:08 [Show Content]
txt file icon BACKTRACE_SERVER.txt [^] (2,167 bytes) 2015-10-24 18:09 [Show Content]
7z file icon povelitel_saves.7z [^] (1,521,735 bytes) 2015-10-24 18:10

- Relationships
related to 0002306resolvedAVS Crash at map startup 
has duplicate 0002313closedSXX Crashes related to bonus system in deserializationFix 
has duplicate 0002319resolvedAVS Game crashes when trying to load a save 
has duplicate 0002222closedAVS Freeze orange player (sometimes crash) 
has duplicate 0002159closedAVS Crash 
has duplicate 0002171resolvedAVS Crash when loading save 
has duplicate 0002158closedAVS I can't load save 
has duplicate 0002301closedAVS Freeze turn AI 
has duplicate 0002315closedAVS Crash during AI turn 
has duplicate 0002318closedAVS Crash during AI turn 
has duplicate 0002384resolvedAVS game crash on load save game 
has duplicate 0002263closedSXX I can't load game 
has duplicate 0002041closedAVS Crash when i try enter in town 
related to 0002316closedSXX Unique: Crash during AI turn (Bonus::DISGUISED check) 

-  Notes
(0005984)
SXX (administrator)
2015-10-24 18:14

I'm not really familiar how bonus system works inside so I didn't posted it before, but now when Warmonger fixed 0002311 I start thinking this one may be somehow related so decide to put it there as well.

PS: No idea how I managed to post it twice, but sorry.
(0005985)
AVS (administrator)
2015-10-24 18:37

This is impossible backtrace:
10 CGDwelling::onHeroVisit CGTownInstance.cpp 112 0x7ffff6fa3949
11 CBonusSystemNode::propagateBonus HeroBonus.cpp 809 0x7ffff7277dbf
(0005987)
SXX (administrator)
2015-10-24 18:48
edited on: 2015-10-24 18:49

Yes it's looks like that, but it's exactly what GDB show.
Any chance it's some kind of memory corruption?

(0005988)
AVS (administrator)
2015-10-24 19:15

Memory corruption or bad cast in serialiser.
(0005993)
SXX (administrator)
2015-10-24 20:22

Why do you think it's related to 0002306?
(0005994)
AVS (administrator)
2015-10-24 20:33

"bad cast in serialiser". Unitialized type and wrong type may be same issue.
(0006177)
SXX (administrator)
2015-12-11 20:58

I suppose all crashes in bonus system may be related to this one.

Branch that intend to fix it:
https://github.com/vcmi/vcmi/pull/147 [^]
(0006179)
SXX (administrator)
2015-12-14 06:20

Okay thing I patched didn't fixed it, but other Warmonger / AVS branch did:
https://github.com/vcmi/vcmi/pull/148 [^]
(0006405)
Povelitel (updater)
2016-02-04 14:04

related 2263 ?
(0006560)
SXX (administrator)
2016-08-15 07:03
edited on: 2016-08-15 07:07

New branch fixes it:
https://github.com/vcmi/vcmi/pull/202 [^]

Also make it possible to load probably all linked saves. (save from 0002158 and plenty of other load just fine)

(0006605)
SXX (administrator)
2016-09-04 08:10
edited on: 2016-09-04 10:56

PR202 merged so issue must be fixed.
https://github.com/vcmi/vcmi/commit/f4f170bf92115cf21d86c3065316cfb4aefd67bd [^]

Keep in mind that even if all old corrupted saves will load many of them are beyond repair so might crash at some point in the game.

(0006626)
SXX (administrator)
2016-09-07 16:02

There is one more fix merged that should fix (all?) crashes in old save games.

https://github.com/vcmi/vcmi/commit/e16552c2c6a1b769ade5845a3b1f8784d6de2e10 [^]

- Issue History
Date Modified Username Field Change
2015-10-24 18:08 SXX New Issue
2015-10-24 18:08 SXX File Added: BACKTRACE_CLIENT.txt
2015-10-24 18:09 SXX File Added: BACKTRACE_SERVER.txt
2015-10-24 18:10 SXX File Added: povelitel_saves.7z
2015-10-24 18:12 SXX Relationship added has duplicate 0002313
2015-10-24 18:14 SXX Note Added: 0005984
2015-10-24 18:37 AVS Note Added: 0005985
2015-10-24 18:48 SXX Note Added: 0005987
2015-10-24 18:49 SXX Note Edited: 0005987 View Revisions
2015-10-24 19:15 AVS Note Added: 0005988
2015-10-24 19:22 AVS Relationship added related to 0002306
2015-10-24 20:22 SXX Note Added: 0005993
2015-10-24 20:33 AVS Note Added: 0005994
2015-10-25 19:41 Warmonger Relationship added has duplicate 0002175
2015-10-27 15:39 SXX Relationship added has duplicate 0002319
2015-12-09 07:32 SXX Relationship deleted has duplicate 0002175
2015-12-11 20:56 SXX Relationship added related to 0002318
2015-12-11 20:57 SXX Relationship added related to 0002316
2015-12-11 20:58 SXX Note Added: 0006177
2015-12-14 06:04 SXX Relationship deleted related to 0002316
2015-12-14 06:20 SXX Note Added: 0006179
2015-12-22 23:06 SXX Assigned To => AVS
2015-12-22 23:06 SXX Status new => assigned
2015-12-25 09:22 SXX Relationship added has duplicate 0002222
2015-12-25 09:23 SXX Relationship added has duplicate 0002159
2015-12-25 11:55 SXX Relationship added has duplicate 0002171
2015-12-25 11:57 SXX Relationship added has duplicate 0002158
2015-12-25 12:14 SXX Relationship added has duplicate 0002301
2015-12-25 12:15 SXX Relationship added has duplicate 0002315
2015-12-25 12:21 SXX Relationship deleted related to 0002318
2015-12-25 12:21 SXX Relationship added has duplicate 0002318
2016-01-18 18:34 SXX Relationship added has duplicate 0002384
2016-02-04 14:04 Povelitel Note Added: 0006405
2016-08-15 07:02 SXX Relationship added has duplicate 0002263
2016-08-15 07:03 SXX Note Added: 0006560
2016-08-15 07:03 SXX Note Edited: 0006560 View Revisions
2016-08-15 07:07 SXX Note Edited: 0006560 View Revisions
2016-08-24 00:51 SXX Relationship added has duplicate 0002041
2016-09-04 08:10 SXX Note Added: 0006605
2016-09-04 08:10 SXX Status assigned => resolved
2016-09-04 08:10 SXX Fixed in Version => 0.99
2016-09-04 08:10 SXX Resolution open => fixed
2016-09-04 08:19 SXX Relationship added related to 0002316
2016-09-04 10:56 AVS Note Edited: 0006605 View Revisions
2016-09-07 16:02 SXX Note Added: 0006626

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean